<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:26 CEST 2019 -->
<title>AbstractFbWireBlob (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractFbWireBlob (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html" target="_top">Frames</a></li>
<li><a href="AbstractFbWireBlob.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbBlob">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire</div>
<h2 title="Class AbstractFbWireBlob" class="title">Class AbstractFbWireBlob</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractFbBlob</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.AbstractFbWireBlob</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireBlob</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireInputBlob.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireInputBlob</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireOutputBlob.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireOutputBlob</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractFbWireBlob</span>
extends <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html" title="class in org.firebirdsql.gds.ng">AbstractFbBlob</a>
implements <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireBlob</a></pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.firebirdsql.gds.ng.FbBlob">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbBlob">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html" title="class in org.firebirdsql.gds.ng">AbstractFbBlob</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#exceptionListenerDispatcher">exceptionListenerDispatcher</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.FbBlob">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#NO_BLOB_ID">NO_BLOB_ID</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html#AbstractFbWireBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-">AbstractFbWireBlob</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database,
                  <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a>&nbsp;transaction,
                  <a href="../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html#cancelImpl--">cancelImpl</a></span>()</code>
<div class="block">Internal implementation of <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#cancel--"><code>AbstractFbBlob.cancel()</code></a>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html#closeImpl--">closeImpl</a></span>()</code>
<div class="block">Internal implementation of <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#close--"><code>AbstractFbBlob.close()</code></a>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html#getBlobInfo-byte:A-int-">getBlobInfo</a></span>(byte[]&nbsp;requestItems,
           int&nbsp;bufferLength)</code>
<div class="block">Request blob info.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html#getDatabase--">getDatabase</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html#getHandle--">getHandle</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html#releaseBlob-int-">releaseBlob</a></span>(int&nbsp;releaseOperation)</code>
<div class="block">Release this blob with the specified operation.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html#setHandle-int-">setHandle</a></span>(int&nbsp;blobHandle)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbBlob">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html" title="class in org.firebirdsql.gds.ng">AbstractFbBlob</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#cancel--">cancel</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#checkBlobClosed--">checkBlobClosed</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#checkBlobOpen--">checkBlobOpen</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#checkDatabaseAttached--">checkDatabaseAttached</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#checkTransactionActive--">checkTransactionActive</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#clearDatabase--">clearDatabase</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#clearTransaction--">clearTransaction</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#close--">close</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#createBlobLengthProcessor--">createBlobLengthProcessor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#detached-org.firebirdsql.gds.ng.FbDatabase-">detached</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#detaching-org.firebirdsql.gds.ng.FbDatabase-">detaching</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#getBlobInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getBlobInfo</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#getBlobParameterBuffer--">getBlobParameterBuffer</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#getMaximumSegmentSize--">getMaximumSegmentSize</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#getTransaction--">getTransaction</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#isEof--">isEof</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#isOpen--">isOpen</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#length--">length</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#resetEof--">resetEof</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#setEof--">setEof</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#setOpen-boolean-">setOpen</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#transactionStateChanged-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.ng.TransactionState-org.firebirdsql.gds.ng.TransactionState-">transactionStateChanged</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#warningReceived-org.firebirdsql.gds.ng.FbDatabase-java.sql.SQLWarning-">warningReceived</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.FbBlob">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#cancel--">cancel</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#close--">close</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#getBlobId--">getBlobId</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#getBlobInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getBlobInfo</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#getMaximumSegmentSize--">getMaximumSegmentSize</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#getSegment-int-">getSegment</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#isEof--">isEof</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#isOpen--">isOpen</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#isOutput--">isOutput</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#length--">length</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#open--">open</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#putSegment-byte:A-">putSegment</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#seek-int-org.firebirdsql.gds.ng.FbBlob.SeekMode-">seek</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.listeners.ExceptionListenable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractFbWireBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractFbWireBlob</h4>
<pre>protected&nbsp;AbstractFbWireBlob(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database,
                             <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a>&nbsp;transaction,
                             <a href="../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabase</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;getDatabase()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#getDatabase--">getDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#getDatabase--">getDatabase</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html" title="class in org.firebirdsql.gds.ng">AbstractFbBlob</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The database connection that created this blob</dd>
</dl>
</li>
</ul>
<a name="getHandle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHandle</h4>
<pre>public final&nbsp;int&nbsp;getHandle()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#getHandle--">getHandle</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The Firebird blob handle identifier</dd>
</dl>
</li>
</ul>
<a name="setHandle-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHandle</h4>
<pre>protected final&nbsp;void&nbsp;setHandle(int&nbsp;blobHandle)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>blobHandle</code> - The Firebird blob handle identifier</dd>
</dl>
</li>
</ul>
<a name="releaseBlob-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>releaseBlob</h4>
<pre>protected&nbsp;void&nbsp;releaseBlob(int&nbsp;releaseOperation)
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Release this blob with the specified operation.
 <p>
 Implementations <strong>should only</strong> do the operation and not perform any further clean up or checks
 on attached database and active transaction, as those checks and clean up should be done by the caller.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>releaseOperation</code> - Either <a href="../../../../../org/firebirdsql/gds/impl/wire/WireProtocolConstants.html#op_close_blob"><code>WireProtocolConstants.op_close_blob</code></a> or <a href="../../../../../org/firebirdsql/gds/impl/wire/WireProtocolConstants.html#op_cancel_blob"><code>WireProtocolConstants.op_cancel_blob</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For database communication errors.</dd>
</dl>
</li>
</ul>
<a name="closeImpl--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closeImpl</h4>
<pre>protected&nbsp;void&nbsp;closeImpl()
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#closeImpl--">AbstractFbBlob</a></code></span></div>
<div class="block">Internal implementation of <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#close--"><code>AbstractFbBlob.close()</code></a>. The implementation does not need
 to check for attached database and active transaction, nor does it need to mark this blob as closed.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#closeImpl--">closeImpl</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html" title="class in org.firebirdsql.gds.ng">AbstractFbBlob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="cancelImpl--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancelImpl</h4>
<pre>protected&nbsp;void&nbsp;cancelImpl()
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#cancelImpl--">AbstractFbBlob</a></code></span></div>
<div class="block">Internal implementation of <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#cancel--"><code>AbstractFbBlob.cancel()</code></a>. The implementation does not need
 to check for attached database and active transaction, nor does it need to mark this blob as closed.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#cancelImpl--">cancelImpl</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html" title="class in org.firebirdsql.gds.ng">AbstractFbBlob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBlobInfo-byte:A-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getBlobInfo</h4>
<pre>public&nbsp;byte[]&nbsp;getBlobInfo(byte[]&nbsp;requestItems,
                          int&nbsp;bufferLength)
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#getBlobInfo-byte:A-int-">FbBlob</a></code></span></div>
<div class="block">Request blob info.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html#getBlobInfo-byte:A-int-">getBlobInfo</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>requestItems</code> - Array of info items to request</dd>
<dd><code>bufferLength</code> - Response buffer length to use</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Response buffer</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html" target="_top">Frames</a></li>
<li><a href="AbstractFbWireBlob.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbBlob">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
